function initMap() {
var styles = [
		{
			stylers: [
				{ saturation: -70 }
			]
		},
		{
			featureType: "building",
			elementType: "labels"
		},

	];

	var horlikins = {
		info: '<strong>Horlikins Events Center</strong><br>\
			 Plot 5, Eastern Bypass, <br>Port Harcourt<br>\
                        <a href="https://goo.gl/hGRqNa">Get Direction</a>',
		lat: 4.793705, 
		long: 7.019404
	};

	var maas = {
		info: '<strong>Maas Central Hotel</strong><br>\
			25 Old GRA Extension, Eastern Bypass, Port Harcourt<br>\
                       <a href="https://goo.gl/3QGdWU">Get Direction</a>',
		lat: 4.7831123,
		long: 7.0154996
	};

	var juanita = {
		info: '<strong>Juanita Hotel</strong><br>\r\
			Akure Street, <br>Port Harcourt<br>\
                       <a href="https://goo.gl/dqjD7W">Get Direction</a>',
		lat: 4.7897251,
		long: 7.006229
	};

	var locations = [
      [horlikins.info, horlikins.lat, horlikins.long, 0],
      [maas.info, maas.lat, maas.long, 1],
      [juanita.info, juanita.lat, juanita.long, 2],
    ];

	var map = new google.maps.Map(document.getElementById('map'), {
		zoom: 15,
               styles: styles,
		center: new google.maps.LatLng(4.793705, 7.019404),
		mapTypeId: google.maps.MapTypeId.ROADMAP
	});

	var infowindow = new google.maps.InfoWindow({});

	var marker, i;

	for (i = 0; i < locations.length; i++) {
		marker = new google.maps.Marker({
			position: new google.maps.LatLng(locations[i][1], locations[i][2]),
			map: map
		});

		google.maps.event.addListener(marker, 'click', (function (marker, i) {
			return function () {
				infowindow.setContent(locations[i][0]);
				infowindow.open(map, marker);
			}
		})(marker, i));
	}
}